package com.ejie.ab78.model.denuncias;

import java.util.Date;

import com.ejie.ab78.model.maestros.Irregularidad;

public class IrregularidadDenuncia {

	private Long idRelIregularidadDenuncia;
	private Irregularidad irregularidad;
	private Denuncia denuncia;

	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	public IrregularidadDenuncia() {
	}

	public IrregularidadDenuncia(Long idRelIregularidadDenuncia, Irregularidad irregularidad, Denuncia denuncia,
			Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {
		this.idRelIregularidadDenuncia = idRelIregularidadDenuncia;
		this.irregularidad = irregularidad;
		this.denuncia = denuncia;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * @return the idRelIregularidadDenuncia
	 */
	public Long getIdRelIregularidadDenuncia() {
		return idRelIregularidadDenuncia;
	}

	/**
	 * @param idRelIregularidadDenuncia
	 *            the idRelIregularidadDenuncia to set
	 */
	public void setIdRelIregularidadDenuncia(Long idRelIregularidadDenuncia) {
		this.idRelIregularidadDenuncia = idRelIregularidadDenuncia;
	}

	/**
	 * @return the irregularidad
	 */
	public Irregularidad getIrregularidad() {
		return irregularidad;
	}

	/**
	 * @param irregularidad
	 *            the irregularidad to set
	 */
	public void setIrregularidad(Irregularidad irregularidad) {
		this.irregularidad = irregularidad;
	}

	/**
	 * @return the denuncia
	 */
	public Denuncia getDenuncia() {
		return denuncia;
	}

	/**
	 * @param denuncia
	 *            the denuncia to set
	 */
	public void setDenuncia(Denuncia denuncia) {
		this.denuncia = denuncia;
	}

	/**
	 * @return the fechaRegistro
	 */
	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	/**
	 * @param fechaRegistro
	 *            the fechaRegistro to set
	 */
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * @return the usuarioRegistro
	 */
	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	/**
	 * @param usuarioRegistro
	 *            the usuarioRegistro to set
	 */
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the fechaUltmodificacion
	 */
	public Date getFechaUltmodificacion() {
		return fechaUltmodificacion;
	}

	/**
	 * @param fechaUltmodificacion
	 *            the fechaUltmodificacion to set
	 */
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * @return the usuarioUltmodificacion
	 */
	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	/**
	 * @param usuarioUltmodificacion
	 *            the usuarioUltmodificacion to set
	 */
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	@Override
	public String toString() {
		return "IrregularidadDenuncia [idRelIregularidadDenuncia=" + idRelIregularidadDenuncia + ", irregularidad="
				+ irregularidad + ", denuncia=" + denuncia + ", fechaRegistro=" + fechaRegistro + ", usuarioRegistro="
				+ usuarioRegistro + ", fechaUltmodificacion=" + fechaUltmodificacion + ", usuarioUltmodificacion="
				+ usuarioUltmodificacion + "]";
	}

}
